#****************************************************************************
#**
#**  File     :  /data/units/XEA0306/XEA0306_script.lua
#**  Author(s):  Jessica St. Croix
#**
#**  Summary  :  UEF Heavy Air Transport Script
#**
#**  Copyright © 2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local explosion = import('/lua/defaultexplosions.lua')
local util = import('/lua/utilities.lua')
local WeaponsFile = import('/lua/terranweapons.lua')

local TAirUnit = import('/lua/terranunits.lua').TAirUnit
local TWeapons = import('/lua/terranweapons.lua')
local TIFCommanderDeathWeapon = TWeapons.TIFCommanderDeathWeapon
local TIFSmallYieldNuclearBombWeapon = TWeapons.TIFSmallYieldNuclearBombWeapon
local TSAMLauncher = TWeapons.TSAMLauncher
local TIFCarpetBombWeapon = TWeapons.TIFCarpetBombWeapon

tcau0401 = Class(TAirUnit) {

    BeamExhaustCruise = '/effects/emitters/transport_thruster_beam_01_emit.bp',
    BeamExhaustIdle = '/effects/emitters/transport_thruster_beam_02_emit.bp',

    Weapons = {
        DeathWeapon = Class(TIFCommanderDeathWeapon) {},
        Bomb = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb2 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb3 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb4 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb5 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb6 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb7 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb8 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb9 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Bomb10 = Class(TIFSmallYieldNuclearBombWeapon) {},
        Napalm = Class(TIFCarpetBombWeapon) {},
        Napalm2 = Class(TIFCarpetBombWeapon) {},
        Napalm3 = Class(TIFCarpetBombWeapon) {},
        Missile = Class(TSAMLauncher) {},
        Missile2 = Class(TSAMLauncher) {},
    },
}

TypeClass = tcau0401